package com.foreverwin.mesnac.anomaly.dto;

import com.foreverwin.mesnac.anomaly.model.AbnormalBillDispose;

/**
 * @Description 作异常响应检索用的
 * @Author zhaojiawei
 * @Since 2021-07-06
 */
public class AbnormalBillDisposeDto extends AbnormalBillDispose {

    /**
     * 异常单
     */
    private String abnormalNo;

    /**
     * 异常状态
     */
    private String status;

    /**
     * 物料主键
     */
    private String itemBo;

    /**
     * 物料编号
     */
    private String item;

    /**
     * 物料描述
     */
    private String itemDescription;

    /**
     * 异常类型
     */
    private String type;

    /**
     * 产品条码
     */
    private String sfc;

    /**
     * 消息类型
     */
    private String messageType;

    /**
     * 工单
     */
    private String shopOrder;

    /**
     * 异常车间
     */
    private String workCenter;

    /**
     * 设备编号
     */
    private String resrce;

    /**
     * 工作令
     */
    private String workOrder;

    /**
     * 项目号
     */
    private String itemNumber;

    /**
     * 产品类别
     */
    private String productCategory;

    /**
     * 图号
     */
    private String map;

    /**
     * 不良明细
     */
    private String ncCode;

    /**
     * 问题描述
     */
    private String pbDescription;

    /**
     * 不良品数量
     */
    private String ncQty;

    /**
     * 问题等级
     */
    private String pbGrade;

    /**
     * 问题提报人
     */
    private String pbUser;

    /**
     * 问题数量
     */
    private String pbQty;

    /**
     * 发现环节
     */
    private String discover;

    /**
     * 检验人员
     */
    private String inspector;

    /**
     * 实物位置
     */
    private String entityLocation;

    /**
     * 上报来源
     */
    private String reportFrom;

    /**
     * 关联来源
     */
    private String objectBo;

    /**
     * 问题照片
     */
    private String pbPhotoShop;

    /**
     * 工艺路线
     */
    private String router;

    /**
     * 设备描述
     */
    private String resrceDescription;

    /**
     * 上报人员
     */
    private String fullName;

    /**
     * 工序编码
     */
    private String operation;

    /**
     * 提报用户组
     */
    private String reportSendUserGroup;

    /**
     * 纠防确认
     */
    private String correction;

    /**
     * 方案确认
     */
    private String program;

    /**
     * 原因分类
     */
    private String causeType;

    /**
     * 责任部门
     */
    private String dutyDepart;

    /**
     * 责任分类
     */
    private String dutyType;

    /**
     *
     * @return
     */
    private String ncCodeDescription;

    private String workCenterDescription;

    private String shutDown;

    private String operationDescription;

    private String routerDescription;;

    private String stepId;

    public String getAbnormalNo() {
        return abnormalNo;
    }

    public void setAbnormalNo(String abnormalNo) {
        this.abnormalNo = abnormalNo;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getItem() {
        return item;
    }

    public void setItem(String item) {
        this.item = item;
    }

    public String getItemDescription() {
        return itemDescription;
    }

    public void setItemDescription(String itemDescription) {
        this.itemDescription = itemDescription;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getSfc() {
        return sfc;
    }

    public void setSfc(String sfc) {
        this.sfc = sfc;
    }

    public String getMessageType() {
        return messageType;
    }

    public void setMessageType(String messageType) {
        this.messageType = messageType;
    }

    public String getShopOrder() {
        return shopOrder;
    }

    public void setShopOrder(String shopOrder) {
        this.shopOrder = shopOrder;
    }

    public String getWorkCenter() {
        return workCenter;
    }

    public void setWorkCenter(String workCenter) {
        this.workCenter = workCenter;
    }

    public String getResrce() {
        return resrce;
    }

    public void setResrce(String resrce) {
        this.resrce = resrce;
    }

    public String getWorkOrder() {
        return workOrder;
    }

    public void setWorkOrder(String workOrder) {
        this.workOrder = workOrder;
    }

    public String getItemNumber() {
        return itemNumber;
    }

    public void setItemNumber(String itemNumber) {
        this.itemNumber = itemNumber;
    }

    public String getProductCategory() {
        return productCategory;
    }

    public void setProductCategory(String productCategory) {
        this.productCategory = productCategory;
    }

    public String getMap() {
        return map;
    }

    public void setMap(String map) {
        this.map = map;
    }

    public String getNcCode() {
        return ncCode;
    }

    public void setNcCode(String ncCode) {
        this.ncCode = ncCode;
    }

    public String getPbDescription() {
        return pbDescription;
    }

    public void setPbDescription(String pbDescription) {
        this.pbDescription = pbDescription;
    }

    public String getNcQty() {
        return ncQty;
    }

    public void setNcQty(String ncQty) {
        this.ncQty = ncQty;
    }

    public String getPbGrade() {
        return pbGrade;
    }

    public void setPbGrade(String pbGrade) {
        this.pbGrade = pbGrade;
    }

    public String getPbUser() {
        return pbUser;
    }

    public void setPbUser(String pbUser) {
        this.pbUser = pbUser;
    }

    public String getPbQty() {
        return pbQty;
    }

    public void setPbQty(String pbQty) {
        this.pbQty = pbQty;
    }

    public String getDiscover() {
        return discover;
    }

    public void setDiscover(String discover) {
        this.discover = discover;
    }

    public String getInspector() {
        return inspector;
    }

    public void setInspector(String inspector) {
        this.inspector = inspector;
    }

    public String getEntityLocation() {
        return entityLocation;
    }

    public void setEntityLocation(String entityLocation) {
        this.entityLocation = entityLocation;
    }

    public String getReportFrom() {
        return reportFrom;
    }

    public void setReportFrom(String reportFrom) {
        this.reportFrom = reportFrom;
    }

    public String getObjectBo() {
        return objectBo;
    }

    public void setObjectBo(String objectBo) {
        this.objectBo = objectBo;
    }

    public String getPbPhotoShop() {
        return pbPhotoShop;
    }

    public void setPbPhotoShop(String pbPhotoShop) {
        this.pbPhotoShop = pbPhotoShop;
    }

    public String getRouter() {
        return router;
    }

    public void setRouter(String router) {
        this.router = router;
    }

    public String getResrceDescription() {
        return resrceDescription;
    }

    public void setResrceDescription(String resrceDescription) {
        this.resrceDescription = resrceDescription;
    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public String getNcCodeDescription() {
        return ncCodeDescription;
    }

    public void setNcCodeDescription(String ncCodeDescription) {
        this.ncCodeDescription = ncCodeDescription;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public String getItemBo() {
        return itemBo;
    }

    public void setItemBo(String itemBo) {
        this.itemBo = itemBo;
    }

    public String getReportSendUserGroup() {
        return reportSendUserGroup;
    }

    public void setReportSendUserGroup(String reportSendUserGroup) {
        this.reportSendUserGroup = reportSendUserGroup;
    }

    public String getCorrection() {
        return correction;
    }

    public void setCorrection(String correction) {
        this.correction = correction;
    }

    public String getProgram() {
        return program;
    }

    public void setProgram(String program) {
        this.program = program;
    }

    public String getWorkCenterDescription() {
        return workCenterDescription;
    }

    public void setWorkCenterDescription(String workCenterDescription) {
        this.workCenterDescription = workCenterDescription;
    }

    public String getShutDown() {
        return shutDown;
    }

    public void setShutDown(String shutDown) {
        this.shutDown = shutDown;
    }

    public String getOperationDescription() {
        return operationDescription;
    }

    public void setOperationDescription(String operationDescription) {
        this.operationDescription = operationDescription;
    }

    public String getCauseType() {
        return causeType;
    }

    public void setCauseType(String causeType) {
        this.causeType = causeType;
    }

    @Override
    public String getDutyDepart() {
        return dutyDepart;
    }

    @Override
    public void setDutyDepart(String dutyDepart) {
        this.dutyDepart = dutyDepart;
    }

    @Override
    public String getDutyType() {
        return dutyType;
    }

    @Override
    public void setDutyType(String dutyType) {
        this.dutyType = dutyType;
    }

    public String getRouterDescription() {
        return routerDescription;
    }

    public void setRouterDescription(String routerDescription) {
        this.routerDescription = routerDescription;
    }

    public String getStepId() {
        return stepId;
    }

    public void setStepId(String stepId) {
        this.stepId = stepId;
    }
}
